From f245bc2782e02e1d2f0fa2bba97bcc470f22b936 Mon Sep 17 00:00:00 2001
From: Merlijn Wajer <merlijn@wizzup.org>
Date: Sun, 13 May 2012 11:52:42 +0200
Subject: [PATCH] FFI: Properly (dynamically) load libffi on Linux.

---
 extensions/ffi/ffi.pas |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/extensions/ffi/ffi.pas b/extensions/ffi/ffi.pas
index 176bd54..8ec9e9f 100644
--- a/extensions/ffi/ffi.pas
+++ b/extensions/ffi/ffi.pas
@@ -41,7 +41,7 @@ interface
 {$ENDIF}
 
 uses
-  ctypes {$IFDEF DynamicFFI},dynlibs{$ENDIF};
+  ctypes, dynlibs;
 
 (*
 TODO:
@@ -51,7 +51,7 @@ TODO:
 *)
 
 const
-  LibFFI = 'libffi';
+  LibFFI = 'libffi.' + SharedSuffix;
 
 type
   TFFIStatus = (
-- 
1.7.3.4

